Bug 124263 - Sidebar extensions with large getMinimalWidth cause issues
Summary: Sidebar extensions with large getMinimalWidth cause issues
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2019-03-22 10:07 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-04-10 12:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-03-22 10:07:48 UTC
Sidebar extensions can define their minimum width via XSidebarPanel::getMinimalWidth.

However, if this size is larger than the maximum size of the sidebar, this causes issues (resizing is broken, causes "jumping", etc.)
Basically the behavior is undefined.

This should be fixed, probably by increasing the maximum allowed width of the sidebar if this value is larger than the current max width.
Comment 1 Commit Notification 2019-03-22 13:45:01 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d0c73ce13c02c37fcc094ac6612d6a8eee2a4026%5E%21

tdf#124263 Respect XSidebarPanel::getMinimalWidth

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2019-03-25 15:20:20 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a58391b1f61db702a5246c5a33717cbba68c5252%5E%21

Related tdf#124263 Make sure sidebar is wide enough for content

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.